diff mbox series

[1/2] Tidy up whitespace and formatting in file to be consistent.

Message ID aa2b7e60d0e20ffe1e83b10f327efbb6dacd3358.1576209614.git.netwiz@crc.id.au (mailing list archive)
State New, archived
Headers show
Series [1/2] Tidy up whitespace and formatting in file to be consistent. | expand

Commit Message

Steven Haigh Dec. 13, 2019, 4:08 a.m. UTC
Signed-off-by: Steven Haigh <netwiz@crc.id.au>
---
 tools/hotplug/Linux/xen-network-common.sh | 144 +++++++++++-----------
 1 file changed, 70 insertions(+), 74 deletions(-)

Comments

Wei Liu Dec. 17, 2019, 2:13 p.m. UTC | #1
On Fri, Dec 13, 2019 at 03:08:34PM +1100, Steven Haigh wrote:
> Signed-off-by: Steven Haigh <netwiz@crc.id.au>

Acked-by: Wei Liu <wl@xen.org>

I will need to add tools/hotplug to the subject line and the following
commit message:

   Use 4 spaces for indentation throughout the file. No functional
   change.

Wei.
Wei Liu Dec. 17, 2019, 2:27 p.m. UTC | #2
On Tue, Dec 17, 2019 at 02:13:30PM +0000, Wei Liu wrote:
> On Fri, Dec 13, 2019 at 03:08:34PM +1100, Steven Haigh wrote:
> > Signed-off-by: Steven Haigh <netwiz@crc.id.au>
> 
> Acked-by: Wei Liu <wl@xen.org>
> 
> I will need to add tools/hotplug to the subject line and the following
> commit message:
> 
>    Use 4 spaces for indentation throughout the file. No functional
>    change.

Actually you used tabs not spaces.

Going through other files in the same directories, they all use spaces
-- although they are as messy as this one file your modified.

While I try really hard to avoid bikeshedding space vs tab, I do want
those files to be consistent, so I will take the all-or-nothing approach
here. I probably won't commit this patch unless there is a very good
reason for it to be committed...

Wei.

> 
> Wei.
Steven Haigh Dec. 17, 2019, 3:44 p.m. UTC | #3
Ok, if its going to be 4 spaces for each file, I can batch convert & 
tidy stuff up...

The file I changed had both types, so I went with my own preference :)

If it might be a better approach, I'll sort out the majority of scripts 
in that directory - and do no function changes and post a series that 
does nothing but cleanup - then do the brctl / ip changes on top of 
that in a different patch.

I might as well do them all - and it makes sense to do nothing but 
cleanup, then functional changes based on the cleaned up code.
Steven Haigh


Wei Liu Dec. 17, 2019, 4:01 p.m. UTC | #4
On Wed, Dec 18, 2019 at 02:44:51AM +1100, Steven Haigh wrote:
> Ok, if its going to be 4 spaces for each file, I can batch convert & tidy
> stuff up...
> 
> The file I changed had both types, so I went with my own preference :)
> 
> If it might be a better approach, I'll sort out the majority of scripts in
> that directory - and do no function changes and post a series that does
> nothing but cleanup - then do the brctl / ip changes on top of that in a
> different patch.
> 

Like Juergen said on IRC, if you think that patch should be backported
(either by upstream or downstream maintainers), it will make people's
life easier if that goes in first.

Wei.
diff mbox series

Patch

diff --git a/tools/hotplug/Linux/xen-network-common.sh b/tools/hotplug/Linux/xen-network-common.sh
index 92ffa603f7..ab76827a64 100644
--- a/tools/hotplug/Linux/xen-network-common.sh
+++ b/tools/hotplug/Linux/xen-network-common.sh
@@ -26,118 +26,114 @@ 
 #           that the virtual device will take once the physical device has
 #           been renamed.
 
-if ! which ifup >/dev/null 2>/dev/null
-then
-  preiftransfer()
-  {
-    true
-  }
-  ifup()
-  {
-    false
-  }
-  ifdown()
-  {
-    false
-  }
+if ! which ifup >/dev/null 2>/dev/null; then
+	preiftransfer()
+	{
+		true
+	}
+	ifup()
+	{
+		false
+	}
+	ifdown()
+	{
+		false
+	}
 else
-  preiftransfer()
-  {
-    true
-  }
+	preiftransfer()
+	{
+		true
+	}
 fi
 
 
 first_file()
 {
-  t="$1"
-  shift
-  for file in $@
-  do
-    if [ "$t" "$file" ]
-    then
-      echo "$file"
-      return
-    fi
-  done
+	t="$1"
+	shift
+	for file in $@; do
+		if [ "$t" "$file" ]; then
+			echo "$file"
+			return
+		fi
+	done
 }
 
 find_dhcpd_conf_file()
 {
-  first_file -f /etc/dhcp3/dhcpd.conf /etc/dhcpd.conf
+	first_file -f /etc/dhcp3/dhcpd.conf /etc/dhcpd.conf
 }
 
 
 find_dhcpd_init_file()
 {
-  first_file -x /etc/init.d/{dhcp3-server,dhcp,dhcpd}
+	first_file -x /etc/init.d/{dhcp3-server,dhcp,dhcpd}
 }
 
 find_dhcpd_arg_file()
 {
-  first_file -f /etc/sysconfig/dhcpd /etc/defaults/dhcp /etc/default/dhcp3-server
+	first_file -f /etc/sysconfig/dhcpd /etc/defaults/dhcp /etc/default/dhcp3-server
 }
 
 # configure interfaces which act as pure bridge ports:
 _setup_bridge_port() {
-    local dev="$1"
-    local virtual="$2"
-
-    # take interface down ...
-    ip link set dev ${dev} down
-
-    if [ $virtual -ne 0 ] ; then
-        # Initialise a dummy MAC address. We choose the numerically
-        # largest non-broadcast address to prevent the address getting
-        # stolen by an Ethernet bridge for STP purposes.
-        # (FE:FF:FF:FF:FF:FF)
-        ip link set dev ${dev} address fe:ff:ff:ff:ff:ff || true
-    fi
-
-    # ... and configure it
-    ip address flush dev ${dev}
+	local dev="$1"
+	local virtual="$2"
+
+	# take interface down ...
+	ip link set dev ${dev} down
+
+	if [ $virtual -ne 0 ]; then
+		# Initialise a dummy MAC address. We choose the numerically
+		# largest non-broadcast address to prevent the address getting
+		# stolen by an Ethernet bridge for STP purposes.
+		# (FE:FF:FF:FF:FF:FF)
+		ip link set dev ${dev} address fe:ff:ff:ff:ff:ff || true
+	fi
+
+	# ... and configure it
+	ip address flush dev ${dev}
 }
 
 setup_physical_bridge_port() {
-    _setup_bridge_port $1 0
+	_setup_bridge_port $1 0
 }
 setup_virtual_bridge_port() {
-    _setup_bridge_port $1 1
+	_setup_bridge_port $1 1
 }
 
 # Usage: create_bridge bridge
 create_bridge () {
-    local bridge=$1
-
-    # Don't create the bridge if it already exists.
-    if [ ! -e "/sys/class/net/${bridge}/bridge" ]; then
-	brctl addbr ${bridge}
-	brctl stp ${bridge} off
-	brctl setfd ${bridge} 0
-    fi
+	local bridge=$1
+
+	# Don't create the bridge if it already exists.
+	if [ ! -e "/sys/class/net/${bridge}/bridge" ]; then
+		brctl addbr ${bridge}
+		brctl stp ${bridge} off
+		brctl setfd ${bridge} 0
+	fi
 }
 
 # Usage: add_to_bridge bridge dev
 add_to_bridge () {
-    local bridge=$1
-    local dev=$2
-
-    # Don't add $dev to $bridge if it's already on a bridge.
-    if [ -e "/sys/class/net/${bridge}/brif/${dev}" ]; then
-	ip link set dev ${dev} up || true
-	return
-    fi
-    brctl addif ${bridge} ${dev}
-    ip link set dev ${dev} up
+	local bridge=$1
+	local dev=$2
+
+	# Don't add $dev to $bridge if it's already on a bridge.
+	if [ -e "/sys/class/net/${bridge}/brif/${dev}" ]; then
+		ip link set dev ${dev} up || true
+		return
+	fi
+	brctl addif ${bridge} ${dev}
+	ip link set dev ${dev} up
 }
 
 # Usage: set_mtu bridge dev
 set_mtu () {
-    local bridge=$1
-    local dev=$2
-    mtu="`ip link show dev ${bridge}| awk '/mtu/ { print $5 }'`"
-    if [ -n "$mtu" ] && [ "$mtu" -gt 0 ]
-    then
-            ip link set dev ${dev} mtu $mtu || :
-    fi
+	local bridge=$1
+	local dev=$2
+	mtu="`ip link show dev ${bridge}| awk '/mtu/ { print $5 }'`"
+	if [ -n "$mtu" ] && [ "$mtu" -gt 0 ]; then
+		ip link set dev ${dev} mtu $mtu || :
+	fi
 }